%define upstream_name Services_Trackback
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.7.1
Release:     	%mkrel 2
Summary:    	Trackback - A generic class for sending and receiving trackbacks
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Trackback-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Trackback
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Var_Dump
Requires:	php-pear-Net_DNSBL
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
A generic class for sending and receiving trackbacks.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Trackback.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Trackback.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Trackback
fi

%files
%{peardir}/*
%{xmldir}/Services_Trackback.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.7.1-2.mga4
+ Revision: 528270
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.7.1-1.mga4
+ Revision: 443999
- upgrade to version 0.7.1

* Sun Jan 13 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 377283
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.6.2-1.mga2
+ Revision: 196130
- upgrade to 0.6.2
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.6.1-8.mga1
+ Revision: 44246
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Trackback


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-8mdv2011.0
+ Revision: 613772
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-7mdv2010.1
+ Revision: 467081
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.1-6mdv2010.0
+ Revision: 441569
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-5mdv2009.1
+ Revision: 322661
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-4mdv2009.0
+ Revision: 237066
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-3mdv2008.0
+ Revision: 15501
- rule out the PHPUnit.php dep


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-2mdv2007.1
+ Revision: 140455
- add a bunch of missing files

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2007.1
+ Revision: 82633
- Import php-pear-Services_Trackback

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-1mdk
- 0.5.1
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdk
- initial Mandriva package (PLD import)

